@charset "UTF-8";

/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    overflow: hidden;
    background: #fff;
}

.preloader-logo {
    position: absolute;
    z-index: 200;
    top: 50%;
    left: 0;
    right: 0;
    margin: 0 auto;
    text-align: center;
    display: inline-block;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    padding-top: 6px;
    -webkit-transition: 0.6s;
    -o-transition: 0.6s;
    transition: 0.6s;
}

#preloader:before {
    content: "";
    position: fixed;
    top: calc(50% - 50px);
    left: calc(50% - 50px);
    border: 6px solid #943b8c;
    border-top-color: #fff;
    border-bottom-color: #fff;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    animation: animate-preloader 1s linear infinite;
}

@-webkit-keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*--------------------------------------------------------------
# Back to top button
--------------------------------------------------------------*/
.back-to-top {
    position: fixed;
    display: none;
    right: 15px;
    bottom: 15px;
    z-index: 99999;
}

.back-to-top i {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    width: 40px;
    height: 40px;
    border-radius: 50px;
    background-image: linear-gradient(
        to bottom,
        rgba(253, 59, 5, 1),
        rgba(253, 145, 23, 1)
    );
    color: #fff;
    transition: all 0.4s;
}

.back-to-top i:hover {
    background: rgba(253, 59, 5, 1);
    color: #fff;
}

/*--------------------------------------------------------------
# Custom color
--------------------------------------------------------------*/

.text-color-primary {
    color: #943b8c;
}
.text-color-secondary {
    color: #d2127e;
}
.text-color-dark {
    color: #000;
}
.text-color-light {
    color: #e8e1e3;
}
.text-color-info {
    color: #5b2ae1;
}
.text-color-warning {
    color: #fd3b05;
}
.text-primary-50 {
    color: rgba(148, 59, 140, 0.5) !important;
}
.text-primary-70 {
    color: rgba(148, 59, 140, 0.6) !important;
}
.text-dark-50 {
    color: rgba(0, 0, 0, 0.5) !important;
}
.text-dark-70 {
    color: rgba(0, 0, 0, 0.7) !important;
}
.text-color-gradient {
    /* font-size: 18px; */
    font-weight: bold;
    background: linear-gradient(to right, #fd3b05, #fdcf17);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
}
.text-gradient {
    /* font-size: 18px; */
    font-weight: bold;
    background: linear-gradient(to bottom, #fd3b05, #fdcf17);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
}

/*--------------------------------------------------------------
# Custom Background
--------------------------------------------------------------*/
.bg-color-primary {
    background-color: #943b8c;
}
.bg-soft-color-primary {
    background-color: rgba(148, 59, 140, 0.1);
}
.bg-color-secondary {
    background-color: #d2127e;
}
.bg-soft-color-secondary {
    background-color: rgba(210, 18, 126, 0.1);
}
.bg-color-dark {
    background-color: #000;
}
.bg-soft-color-dark {
    background-color: rgba(0, , 0, 0.1);
}
.bg-color-light {
    background-color: #e8e1e3;
}
.bg-color-info {
    background-color: #5b2ae1;
}
.bg-gradient-primary {
    background-image: linear-gradient(
        to bottom,
        rgba(253, 59, 5, 1),
        rgba(253, 145, 23, 1)
    );
}

.bg {
    line-height: 1.9;
    max-width: 780px;
    background: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(3rem);
    border-radius: 10px 0 0 10px;
    box-shadow: var(--box-shadow);
}

.login h1 {
    text-shadow: 2px 2px 4px rgba(181, 255, 25, 0.2);
    color: #943b8c;
}
.login label {
    font-weight: 500;
}

.gradient-x-overlay-lg::before {
    background-image: linear-gradient(
        to right,
        rgba(148, 59, 140, 0.9) 0%,
        rgba(210, 18, 126, 0.9) 100%
    );
}

/*--------------------------------------------------------------
# Map
--------------------------------------------------------------*/
#map {
    height: 400px;
}

/*====== responsive screen ======*/

@media only screen and (max-width: 1199px) {
    .login-bg {
        background-image: url(/image/background/bg-responsive-phone.svg);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: top center;
    }
    .login .flex-grow-1 {
        margin-right: auto !important;
        margin-left: auto !important;
        padding: 0 20px;
    }

    .logo-app img {
        width: 150px;
    }
    .logo-img img {
        width: 70px;
        margin-top: 20px;
    }
}

@media (min-width: 600px) and (max-width: 768px) {
    .login-bg {
        background-image: url(/image/background/bg-responsive-tab.svg);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: top center;
    }
    .logo-app img {
        width: 200px;
    }
    .logo-img img {
        width: 80px;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .login-bg {
        background-image: url(/image/background/bg-responsive-tab.svg);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: top center;
    }
    .logo-app img {
        width: 200px;
    }
    .logo-img img {
        width: 80px;
    }
}

@media (min-width: 992px) {
}

@media (max-width: 768px) {
}
